Apache log4cxx Version @version@

Classes | Namespaces | Typedefs | Functions
messagebuffer.h File Reference

## Classes
class | CharMessageBuffer
| This class is used by the LOG4CXX_INFO and similar macros to support insertion operators in the message parameter. More...
class | UniCharMessageBuffer
| This class is designed to support insertion operations in the message argument to the LOG4CXX_INFO and similar macros and is not designed for general purpose use. More...
class | WideMessageBuffer
| This class is designed to support insertion operations in the message argument to the LOG4CXX_INFO and similar macros and is not designed for general purpose use. More...
class | MessageBuffer
| This class is used by the LOG4CXX_INFO and similar macros to support insertion operators in the message parameter. More...

## Namespaces
namespace | log4cxx
namespace | log4cxx::helpers
| We need to double some logic from LOG4CXX_PTR_DEF or else we are unable to override the comparison operator, which we need to properly fix LOGCXX-394.

## Typedefs
typedef std::ios_base &(* | ios_base_manip) (std::ios_base &)

## Functions
void | MessageBufferUseStaticStream ()
template<class V >
std::basic_ostream< char > & | operator<< (CharMessageBuffer &os, const V &val)
template<class V >
UniCharMessageBuffer::uostream & | operator<< (UniCharMessageBuffer &os, const V &val)
template<class V >
std::basic_ostream< wchar_t > & | operator<< (WideMessageBuffer &os, const V &val)
template<class V >
std::ostream & | operator<< (MessageBuffer &os, const V &val)